import java.io.*;
import java.lang.*;
import java.util.*;

public class Command implements Runnable
{

    String [] theCommand;
    

    //constructor
    Command (String [] c)	
    {
	theCommand=c;
    }


	
    public void run()
    {


	try{	

	    Runtime r;		
	    r=Runtime.getRuntime();
	    Process p;	

	    if (theCommand[0].compareTo("exit") == 0){
		System.exit(0);
	                                             }

	    p=r.exec(theCommand);
	    BufferedReader br; 

	    //connect the InputStream and start a new thread

	    InputStream is = p.getInputStream();
	    br=new BufferedReader(new InputStreamReader(is));
	    Thread one = new Thread(new Stream(br));
	    one.start();
	    
	    //connect the ErrorStream and start a new thread

	    InputStream es = p.getErrorStream();
	    br=new BufferedReader(new InputStreamReader(es));
	    Thread two = new Thread(new Stream(br));
	    two.start();

	    //wait for the threads to finish their work now..

	    try{
		one.join();
		two.join();
	       }
	    catch (InterruptedException e){
		System.out.println("exception: " + e.getMessage());
	                                  }
	   
	}//end of first try block
	catch (IOException e)	{ 
	    System.out.println("exception: " + e.getMessage());
	                        }

		
    }//end run

}//end class Command

