/**
 * Alexander F Ferrugia,, ID:3700491784,, CS537:Marvin Solomon
 * Program 1: A simple UNIX shell
 * 9/11/1999
 *
 * CODE STATUS:  compiles, and runs file.  All test cases and extras (like file input) work.
 *               This code is working 100% to my knowledge
 */




import java.lang.*;
import java.io.*;
import java.util.*;




public class Shell
{
	public static void main (String[] args)
	{
	    String input;

	    //**setup for getting the user input**
		    
	    BufferedReader userInput = new BufferedReader(new InputStreamReader(System.in));			
	    boolean enter = false;	//used to prompt again, if user hits only enter
	    while (enter ==  false) {


	    //START THE INFINITE FOR LOOP

		for (;;)
		{
		    System.out.print("\nSimple Shell Prompt %% ");
		    
		    try{
			input = userInput.readLine();

			if (input == null){//if EOF, we're done
			    System.exit(0);
			                  }
 	 
			StringTokenizer isEnter = new StringTokenizer(input);

			if (isEnter.hasMoreTokens() == false){
			    break;
			                                     }

		    //**parse the input**

		    int numOfCommands=0;
		    int postPos=0;
		    String test;
		    StringTokenizer token;
		    Vector stringVector = new Vector();
		    int words=0;

		    //break into substrings with "&" as delimiter

		    while (input.indexOf("&") != -1){
		       
			postPos=input.indexOf("&");
			test=input.substring(0,postPos);
			postPos++;
			input=input.substring(postPos);
			
			//start looking at words in the command
			token = new StringTokenizer(test, " ");	
			words=token.countTokens();
			String [] command = new String[words];

			for (int i=0;token.hasMoreTokens() == true; i++)
			    {
				command[i]=token.nextToken();
			    }
				
			//the string arrays are added to a vector

			stringVector.addElement(command);
		      	numOfCommands++;    
					       
		                                    }//end while
		    
		    numOfCommands++;
		    test=input.substring(0,input.length());
		    token = new StringTokenizer(test);	
	      
		    String [] command = new String [token.countTokens()];  

		    for (int i=0;token.hasMoreTokens() == true; i++)
			    {
				//filling the command array (with strings)
				command[i]=token.nextToken();  		     
			    }
			stringVector.addElement(command);		


			//create an array of threads for the users commands

			Thread [] threads = new Thread [numOfCommands];
			Command cmd;

			//create & put threads in the array.. then start them
		     
			for (int i=0;i<threads.length;i++){
				cmd=new Command((String[])(stringVector.elementAt(i)));
				threads[i]=new Thread(cmd);
				threads[i].start();
				                          }
			
			
			//wait until all the threads have completed (rejoined)

	      		try	{
				for (int i=0; i<threads.length;i++){
				    threads[i].join();
					                           }
				}
			catch (InterruptedException e)	{
				System.out.println("exception: "+ e.getMessage());
				                        }
			

		    }//end first try
		    catch(IOException e){
			System.out.println("exception: " + e.getMessage());
		    }

			
		}//end inifinite for

	}//end while (for when user hits only enter)

	}//end main
			
}//end class
